Bug 2692 - "pipe" is not a working hostname
Summary: "pipe" is not a working hostname
Status: RESOLVED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Docs (show other bugs)
Version: 3.0.14a
Hardware: All All
: P3 minor
Target Milestone: none
Assignee: John H Terpstra (mail address dead(
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-09 06:45 UTC by Pontus Borg
Modified: 2005-10-17 09:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pontus Borg 2005-05-09 06:45:57 UTC
A samba server with the name PIPE will silently fail many operation. 

Logging in works. Connecting and reading files on the server works. But 
browsing, neither workgroup nor shares does not work. 

This seams to be an internally used name for many functions, for example the
$IPC service. 

One place were it fails is in smbd/ipc.c somewhere around line 551. 

Windows machines can be named PIPE without problems, so this must be an internal 
samba thing.
Comment 1 Gerald (Jerry) Carter 2005-05-11 05:23:56 UTC
John, you want to document this ?  I can't imagine that 
it will get high priority to be fixed.
Comment 2 John H Terpstra (mail address dead( 2005-10-17 09:51:49 UTC
I have added a note to the smb.conf man page "netbios name" section, with the
warning not to use the name PIPE.

- John T.